
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>tr命令学习(shell) / iVAN</title>

    <meta name="description" content="tr命令学习(shell) tr命令学习 关于tr t r用来从标准输入中通过替换或删除操作进行字符转换.t r主要用于删除文件中控制字符或进行字符转换.使用t r时要转换两个字符串:字符串1用于查询,字符串2用于处理各种转换. t r刚执行时,字符串1中的字符被映射到字符串2中的字符,然后转换操作开始. 下面讲述: QUOTE: &quot; 大小写转换. &quot; 去除控制字符. &quot; 删除空行. 带有最常用选项的t r命令格式为: [Copy to clipboard] [ - ] CODE: t r - ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">tr命令学习(shell)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>tr命令学习</p>
<p>关于tr<br />
t r用来从标准输入中通过替换或删除操作进行字符转换。t r主要用于删除文件中控制字符或进行字符转换。使用t r时要转换两个字符串：字符串1用于查询，字符串2用于处理各种转换。<br />
t r刚执行时，字符串1中的字符被映射到字符串2中的字符，然后转换操作开始。</p>
<p>下面讲述：</p>
<p>QUOTE:<br />
" 大小写转换。<br />
" 去除控制字符。<br />
" 删除空行。</p>
<p>带有最常用选项的t r命令格式为：</p>
<p>[Copy to clipboard] [ - ]<br />
CODE:<br />
t r - c - d - s [ " s t r i n g 1 _ t o _ t r a n s l a t e _ f r o m " ] [ " s t r i n g 2 _ t o _ t r a n s l a t e _ t o " ] i n p u t _f i l e</p>
<p>这里：</p>
<p>QUOTE:<br />
-c 用字符串1中字符集的补集替换此字符集，要求字符集为A S C I I。<br />
-d 删除字符串1中所有输入字符。<br />
-s 删除所有重复出现字符序列，只保留第一个；即将重复出现字符串压缩为一个字符串。</p>
<p>I n p u t - f i l e是转换文件名。虽然可以使用其他格式输入，但这种格式最常用。</p>
<p>字符范围<br />
使用t r时，可以指定字符串列表或范围作为形成字符串的模式。这看起来很像正则表达式，但实际上不是。指定字符串1或字符串2的内容时，只能使用单字符或字符串范围或列表。</p>
<p>QUOTE:<br />
[a-z] a-z内的字符组成的字符串。<br />
[A-Z] A-Z内的字符组成的字符串。<br />
[0-9] 数字串。<br />
/octal 一个三位的八进制数，对应有效的A S C I I字符。<br />
[O<em>n] 表示字符O重复出现指定次数n。因此[ O </em> 2 ]匹配O O的字符串。<br />
大部分t r变种支持字符类和速记控制字符。<br />
字符类格式为[：c l a s s ]，包含数字、希腊字母、空行、小写、大写、c n t r l键、空格、点记符、图形等等。</p>
<p>下表包括最常用的控制字符的速记方式及三位八进制引用方式。<br />
当用一个单字符替换一个字符串或字符范围时，注意字符并不放在方括号里（ [ ]）。一些系统也可以使用方括号，例如可以写成[“\ 0 1 2”]或“\ 0 1 2”，t r也允许不加引号，因此命令中看到单引号而不是双引号时也不要感到奇怪。<br />
像大多数系统工具一样， t r也受特定字符的影响。因此如果要匹配这些字符，需使用反斜线屏蔽其特殊含义。例如，用\ {指定花括号左边可以屏蔽其特殊含义。</p>
<p>tr中特定控制字符的不同表达方式</p>
<p>[Copy to clipboard] [ - ]<br />
CODE:<br />
速记符含义八进制方式<br />
\ a Ctrl-G 铃声\ 0 0 7<br />
\ b Ctrl-H 退格符\ 0 1 0<br />
\f Ctrl-L 走行换页\ 0 1 4<br />
\n Ctrl-J 新行\ 0 1 2<br />
\ r Ctrl-M 回车\ 0 1 5<br />
\t Ctrl-I tab键\ 0 11<br />
\ v Ctrl-X \ 0 3 0</p>
<p>去除重复出现的字符<br />
下面文件包含了一些打印错误。这种情况时常发生，例如在v i编辑器中，偶尔按住一个键不放。</p>
<p>[Copy to clipboard] [ - ]<br />
CODE:<br />
[sam@chenwy split]$ cat opps.txt<br />
And the cowwwwws went homeeeeeeeeeeeee<br />
Or did theyyyyyyyyyyyyy</p>
<p>如果要去除重复字母或将其压缩在一起，使用- s选项。因为都是字母，故使用[ a - z ]。输入文件重定向到t r命令。</p>
<p>[Copy to clipboard] [ - ]<br />
CODE:<br />
[sam@chenwy split]$ tr -s "[a-z]" &lt; opps.txt<br />
And the cows went home<br />
Or did they</p>
<p>所有重复字符被压缩成一个。如果使用c a t命令，再将结果管道输出至t r，结果是一样的。</p>
<p>[Copy to clipboard] [ - ]<br />
CODE:<br />
[sam@chenwy split]$ cat opps.txt | tr -s "[a-z]"<br />
And the cows went home<br />
Or did they</p>
<p>删除空行<br />
要删除空行，可将之剔出文件。下面是一个文件p l a n e . t x t。文本间有许多空行。</p>
<p>[Copy to clipboard] [ - ]<br />
CODE:<br />
[sam@chenwy split]$ cat plane.txt<br />
plane.txt<br />
9879932 Spitfire</p>
<p>190992 Lancaster</p>
<p>238991 Typhoon</p>
<p>使用- s来做这项工作。换行的八进制表示为\ 0 1 2，命令为：</p>
<p>[Copy to clipboard] [ - ]<br />
CODE:<br />
[sam@chenwy split]$ tr -s "[\012]" &lt; plane.txt<br />
plane.txt<br />
9879932 Spitfire<br />
190992 Lancaster<br />
238991 Typhoon</p>
<p>也可以使用换行速记方式\ n。</p>
<p>[Copy to clipboard] [ - ]<br />
CODE:<br />
[sam@chenwy split]$ tr -s "[\n]" &lt; plane.txt<br />
plane.txt<br />
9879932 Spitfire<br />
190992 Lancaster<br />
238991 Typhoon</p>
<p>大写到小写<br />
除了删除控制字符，转换大小写是t r最常用的功能。为此需指定即将转换的小写字符[ a - z ]和转换结果[ A - Z ]。<br />
第一个例子，t r从一个包含大小写字母的字符串中接受输入。</p>
<p>[Copy to clipboard] [ - ]<br />
CODE:<br />
[sam@chenwy split]$ echo "May Day,May Day,Going Down.." | tr "[a-z]" "[A-Z]"<br />
MAY DAY,MAY DAY,GOING DOWN..</p>
<p>同样，也可以使用字符类[：l o w e r：]和[：u p p e r：]。</p>
<p>[Copy to clipboard] [ - ]<br />
CODE:<br />
[sam@chenwy split]$ echo "May Day,May Day,Going Down.." | tr "[:lower:]" "[:upper:]"<br />
MAY DAY,MAY DAY,GOING DOWN..</p>
<p>删除指定字符<br />
偶尔会从下载文件中删除只包含字母或数字的列。需要结合使用- c和- s选项完成此功能。<br />
下面的文件包含一个星期的日程表。任务是从其中删除所有数字，只保留日期。日期有大写，也有小写格式。因此需指定两个字符范围[ a - z ]和[ A - Z ]，命令tr -cs "[a-z][A-Z]""[\012*]"将文件每行所有不包含在[ a - z ]或[ A - Z ]（所有希腊字母）的字符串放在字符串1中并转换为一新行。- s选项表明压缩所有新行， - c表明保留所有字母不动。原文件如下，后跟t r命令：</p>
<p>[Copy to clipboard] [ - ]<br />
CODE:<br />
[sam@chenwy split]$ cat diary.txt<br />
mondy 10:50<br />
Tuesday 15:00<br />
wednesday 15:30<br />
thurday 10:30<br />
Fridya 09:20</p>
<p>[Copy to clipboard] [ - ]<br />
CODE:<br />
[sam@chenwy split]$ tr -cs "[a-z][A-Z]" "[\012*]" mondy<br />
Tuesday<br />
wednesday<br />
thurday<br />
Fridya</p>
<p>转换控制字符<br />
t r的第一个功能就是转换控制字符，特别是从d o s向U N I X下载文件时，忘记设置f t p关于回车换行转换的选项时更是如此。<br />
下面是故意没有设置转换开关的一个文本文件，是关于文具需求的一部分内容。使用c a t- v显示控制字符。</p>
<p>[Copy to clipboard] [ - ]<br />
CODE:<br />
[sam@chenwy split]$ cat -v stat.tr<br />
Boxes paper     12^M<br />
Clips metal     50^M<br />
Pencils-meduim  10^M<br />
^Z</p>
<p>猜想‘中间空的是’是t a b键。每一行以C t r l - M结尾，文件结尾C t r l - Z，以下是改动方法。<br />
使用- s选项，查看A S C I I表。^的八进制代码是1 3 6，^ M是0 1 5，t a b键是0 11，^ Z是0 3 2 ,下面将按步骤完成最终功能。</p>
<p>用新行替换每行末尾的^ M，并用\ n去除^ Z，输入要来自于临时工作文件s t a t . t m p。将结果重定向到临时工作文件s t a t . t m p。</p>
<p>[Copy to clipboard] [ - ]<br />
CODE:<br />
[sam@chenwy split]$ tr -s "[\015\032]" "\n" stam.tmp<br />
[sam@chenwy split]$ cat -v stam.tmp<br />
Boxes paper     12<br />
Clips metal     50<br />
Pencils-meduim  10</p>
<p>快速转换<br />
如果需要删除文件中^ M，并代之以换行。使用命令：</p>
<p>[Copy to clipboard] [ - ]<br />
CODE:<br />
[sam@chenwy split]$ tr -s "[\015]" "\n" &lt; stat.tr |cat -v<br />
Boxes paper     12<br />
Clips metal     50<br />
Pencils-meduim  10<br />
^Z</p>
<p>或者用下述命令得同样结果。</p>
<p>[Copy to clipboard] [ - ]<br />
CODE:<br />
[sam@chenwy split]$ tr -s "[\015]" "\n" &lt; stat.tr &gt;stat1.tr<br />
[sam@chenwy split]$ cat stat1.tr<br />
Boxes paper     12<br />
Clips metal     50<br />
Pencils-meduim  10</p>
<p>也可以用下述命令：</p>
<p>[Copy to clipboard] [ - ]<br />
CODE:<br />
[sam@chenwy split]$ tr -s "[\r]" "\n" &lt; stat.tr</p>
<p>[Copy to clipboard] [ - ]<br />
CODE:<br />
[sam@chenwy split]$ tr -s "\r" "\n" &lt; stat.tr</p>
<p>另一个一般的D o s到U N I X转换是命令：</p>
<p>[Copy to clipboard] [ - ]<br />
CODE:<br />
[sam@chenwy split]$ tr -s "[\015\032]" "[\012*]" &lt; stat.tr <br />
Boxes paper     12<br />
Clips metal     50<br />
Pencils-meduim  10</p>
<p>将删除所有^ M和^ Z，代之以换行。</p>
<p>要删除所有的t a b键，代之以空格，使用命令：</p>
<p>[Copy to clipboard] [ - ]<br />
CODE:<br />
[sam@chenwy split]$ tr -s "[\011]" "[\040*]" &lt; stat.tr &gt;temp.txt<br />
[sam@chenwy split]$cat -v temp.txt<br />
Boxes paper 12^M<br />
Clips metal 50^M<br />
Pencils-meduim 10^M<br />
^Z</p>
<p>替换p a s s w d文件中所有冒号，代之以t a b键，可以增加可读性。将冒号引起来，指定替换字符串中t a b键八进制值0 11，下面是p a s s w d文件，后跟t r命令结果：</p>
<p>[Copy to clipboard] [ - ]<br />
CODE:<br />
[sam@chenwy split]$ tr -s "[:]" "[\t]" &lt; passwd<br />
root    x       0       0       root    /root   /bin/bash<br />
bin     x       1       1       bin     /bin    /sbin/nologin<br />
daemon  x       2       2       daemon  /sbin   /sbin/nologin<br />
.....................</p>
<p>或</p>
<p>[Copy to clipboard] [ - ]<br />
CODE:<br />
[sam@chenwy split]$ tr -s "[:]" "[\011]" &lt; passwd</p>
<p>匹配多于一个字符<br />
可以使用[ c h a r a c t e r * n ]格式匹配多于一个字符。下述文件列出系统硬盘信息，其中包含了系统已经注册的和未识别的。第一列是数字，如果不全是0，表明第二列相应硬盘已经注册。<br />
有时全部为0看起来很烦人，找个吸引人注意力的符号来代替它，以便一眼就能看出哪个硬盘已注册，哪个不可识别。原文件如下：</p>
<p>[Copy to clipboard] [ - ]<br />
CODE:<br />
[sam@chenwy split]$ cat hdisk.txt<br />
15566 hdisk3<br />
456554 hdisk2<br />
0000 hdisk1</p>
<p>从文件列表中知道，有一个硬盘未注册，因此用星号代替所有的0。模式为[ 0 * 4 ]，意即匹配至少4个0，替换字符串为星号，过滤命令及结果如下：</p>
<p>[Copy to clipboard] [ - ]<br />
CODE:<br />
[sam@chenwy split]$ tr "[0<em>4]" "</em>" &lt; hdisk.txt<br />
15566 hdisk3<br />
456554 hdisk2<br /><em>*</em>* hdisk1</p>
<p>但我发现加上[]后结果不对了</p>
<p>[Copy to clipboard] [ - ]<br />
CODE:<br />
[sam@chenwy split]$ tr "[0<em>4]" "[</em>]" &lt; hdisk.txt<br />
15566 hdisk3<br />
456554 hdisk2<br />
]]]] hdisk1</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-03 16:15:10</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/shell/" title="shell">shell</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>tr命令学习(shell)的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKQE2Op.html" rel="bookmark">tr命令学习</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				tr命令学习 关于tr t r用来从标准输入中通过替换或删除操作进行字符转换.t r主要用于删除文件中控制字符或进行字符转换.使用t r时要转换两个字符串:字符串1用于查询,字符串2用于处理各种转换. t r刚执行时,字符串1中的字符被映射到字符串2中的字符,然后转换操作开始. 下面讲述: QUOTE: &quot; 大小写转换. &quot; 去除控制字符. &quot; 删除空行. 带有最常用选项的t r命令格式为: [Copy to clipboard] [ - ] CODE: t r - c -			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boKg6Bb.html" rel="bookmark">Shell基础之-tr命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				tr命令 首先,大家如果看到有什么不懂的地方,欢迎吐槽!!! 我会在当天或者第二天及时回复,并且改进~~ tr命令实现字符转换功能,其功能类似于sed命令,但是,tr命令比sed命令简单,也就是说,tr命令能实现的功能,sed命令都可以实现 tr [option] charset1 chatset2 &lt; 输入文件 tr命令选项及其意义 -c #选定字符串1中字符集的补集,即反选字符串1中的字符集 -d #删除字符串1中出现的所有字符 -s #删除所有重复出现的字符序列,只保留一个 tr命令示例:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2298Vb.html" rel="bookmark">决定用windows学习shell编程，用Notepad&plus;&plus;编辑器编写shell程序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 今天自己想把shell编程好好的学习一边,我想看看自己可以用一星期时间可不可以学的行不.开始干.首先解决编写环境问题,我决定用windows学习shell编程,用Notepad++编辑器编写shell程序,下载cxywin程序模拟shell环境,这样就可以不破坏系统,也不用虚拟机耗内存了.最后实践发现当你做shell实验的时候用cxywin不行,所以我们还是要建一个虚拟机,最小化安装就行.在上面例子,变量count初始值是0,随后每次循环一次便增加1.echo语句打印count的值,我			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/baEE0Nb.html" rel="bookmark">深入理解Linux中的grep命令&lowbar;linux shell</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				介绍 Linux系统中grep命令是一种强大的文本搜索工具,它能使用正则表达式搜索文本,并把匹 配的行打印出来.grep全称是Global Regular Expression Print,表示全局正则表达式版本,它的使用权限是所有用户. grep [-acinv] [--color=auto] '查找字符串' filename 参数:     -a :将binary文件以text文件的方式查找数据     -c :计算找到'查找字符串'的次数     -i :忽略大小写的区别,即把大小写视为相			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPNjNAb.html" rel="bookmark">Linux系统中tr命令的基本使用教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  用法:tr [选项]... SET1 [SET2] 从标准输入中替换.缩减和/或删除字符,并将结果写到标准输出. -c, -C, --complement 首先补足SET1 -d, --delete 删除匹配SET1 的内容,并不作替换 -s, --squeeze-repeats 如果匹配于SET1 的字符在输入序列中存在连续的 重复,在替换时会被统一缩为一个字符的长度 -t, --truncate-set1 先将SET1 的长度截为和SET2 相等 --help 显示此帮助信息并退出 --			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnxWxrb.html" rel="bookmark">Linux系统中tr命令删除和替换文本字符的基本用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  通过使用 tr,您可以非常容易地实现 sed 的许多最基本功能.您可以将 tr 看作为 sed 的(极其)简化的变体:它可以用一个字符来替换另一个字符,或者可以完全除去一些字符.您也可以用它来除去重复字符.这就是所有 tr 所能够做的. tr用来从标准输入中通过替换或删除操作进行字符转换.tr主要用于删除文件中控制字符或进行字符转换.使用tr时要转换两个字符串:字符串1用于查询,字符串2用于处理各种转换.tr刚执行时,字符串1中的字符被映射到字符串2中的字符,然后转换操作开始. 带有最常用选			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4Y4oqb.html" rel="bookmark">Linux tr命令简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章转载自: http://blog.sina.com.cn/s/blog_58c3f7960100uttl.html   一. tr命令简介       1. 通过使用 tr,您可以非常容易地实现 sed 的许多最基本功能.您可以将 tr 看作为 sed 的(极其)简化的变体:它可以用一个字符来替换另一个字符,或者可以完全除去一些字符.您也可以用它来除去重复字符.这就是所有 tr 所能够做的.        2. tr用来从标准输入中通过替换或删除操作进行字符转换.tr主要用于删除文件中控制字			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmRnvjz.html" rel="bookmark">git 使用及常用命令&lowbar;linux shell</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				git在团队项目中的使用流程 1.首先从一个git远程仓库中clone项目到本地 git clone 仓库地址 2.创建开发分支 一般我们写代码不会在master分支上面写,而是新建一个分支 git checkout -b test 3.在test分支上面进行代码修改,比如完成某一项功能的开发 4.修改完之后提交代码到test分支 git add . git commit -m &quot;your comment&quot;  5.review代码(非必需) 在test分支上面开发完某一个功能之后,建议			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAYvK2M.html" rel="bookmark">linux 命令每天必学之tar命令&lowbar;linux shell</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				通过SSH访问服务器,难免会要用到压缩,解压缩,打包,解包等,这时候tar命令就是是必不可少的一个功能强大的工具.linux中最流行的tar是麻雀虽小,五脏俱全,功能强大. tar命令可以为linux的文件和目录创建档案.利用tar,可以为某一特定文件创建档案(备份文件),也可以在档案中改变文件,或者向档案中加入新的文件.tar最初被用来在磁带上创建档案,现在,用户可以在任何设备上创建档案.利用tar命令,可以把一大堆的文件和目录全部打包成一个文件,这对于备份文件或将几个文件组合成为一个文件以便			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMN76mp.html" rel="bookmark" class="title">java项目-Java项目如何打包运行？</a>
					<div>
						问题描述 Java项目如何打包运行? 要答辩了,老师不一样我们带着eclipse去发布项目,再在浏览器输入网址那样运行项目.说可以把项目打包执行.然而我并不会,哪位大神可以详细谅解一下打包执行过程?万 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRYo8b.html" rel="bookmark" class="title">计算机指令</a>
					<div>
						指令就是指挥机器工作的指示和命令,程序就是一系列按一定顺序排列的指令,执行程序的过程就是计算机的工作过程.   控制器靠指令指挥机器工作,人们用指令表达自己的意图,并交给控制器执行.一台计算机所能执行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWYaEz.html" rel="bookmark" class="title">在IE中直接连接SQL数据库</a>
					<div>
						数据|数据库 使用ODC文档使用一个ODC文档可以很轻松在IE浏览器中连接到SQL SERVER数据库的表,ODC文档示例如下:&lt;html&gt;  &lt;head&gt;&lt;meta h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVj4kz.html" rel="bookmark" class="title">ASP&period;NET移动开发之讲解SelectionList控件</a>
					<div>
						asp.net|select|控件 正如前面提及的那样,SelectionList控件适用于呈现较短列表的数据项.尽管它不具备对长列表的分页显示功能,但是它的呈现形式是丰富多样的.只要设备浏览器支持, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKRB8p.html" rel="bookmark" class="title">Swift语言指南&lpar;九&rpar; Swift语言的基本运算符</a>
					<div>
						运算符(operator)是用来检查,改变或合并值的一种特殊符号或短语.例如,加号运算符让两个数字相加(如:let i = 1 + 2),还有些更复杂的运算符,如逻辑与运算符(&amp;&amp;)( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2ymob.html" rel="bookmark" class="title">ofifce软件中打开超链接时提示：由于本机限制，请与管理员联系的解决方法</a>
					<div>
						之前由于我在电脑中安装了谷歌浏览器并且把他设置为默认浏览器,后来,没有改回IE为默认浏览器直接把谷歌浏览器给删了.当我打开Word. Excel.PPT.Outlook ofifce软件里面的超链接时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLaROb.html" rel="bookmark" class="title">Windows窗体控件开发示例：扩展TreeView</a>
					<div>
						摘要:讲述了如何向 TreeView 控件添加数据绑定功能,它是一系列 Microsoft Windows 控件开发示例之一.您可以将本文与相关的概述文章结合起来阅读. 简介 在可能的情况下,您应该先 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2JPZp.html" rel="bookmark" class="title">观察者模式的java实现</a>
					<div>
						Java事件模型 在我的前两篇介绍C#事件和委托的blog 发表之后,大家响应特别热烈,点击率很高,看来事件/委托机制是很多同仁比较模糊的地方,借此东风,加上最近自己转战java,于是决定写这篇介绍j ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9EkDgM.html" rel="bookmark" class="title">Excel数值格式设置</a>
					<div>
						  在下图中我们可以看到输入的数值位数是没有规律的,如果我们要设定数值的位数该怎么办呢?首先选中需要更改的单元格,在鼠标右击菜单中选择&quot;设置单元格格式&quot;如下图所示. 在&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Z6Qob.html" rel="bookmark" class="title">win7笔记本合上盖子不让电脑休眠的设置方法</a>
					<div>
						  不少朋友想挂机下电影,或者下载游戏.但如果在晚上显示器亮着,不但浪费电,而且还影响我们的休息.如何能把电脑的盖子合上而又不影响下载. 其实大家所有的电脑没有任何操作的情况下,会在一段时间自动进入休 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkxAEb.html" rel="bookmark" class="title">如何在win7电脑中清楚word文档的打开记录？</a>
					<div>
						  喜欢使用word文档工具的朋友肯定知道word的一个操作技巧,就是比如你最近打开的记录,word都会保存在一边,然后当你通过开始菜单用鼠标指向word的时候,右侧便会出现你最近打开的一些word文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQN7dQM.html" rel="bookmark" class="title">Win10系统怎么设置开机自动连接宽带</a>
					<div>
						不管是在工作还是生活中,我们都已经越来越无法离开网络了.设置宽带的自动连接,可以简单而有效的提高工作学习效率,免去开机后再次进入网络和共享中心拨号上网的不必要操作.不过,最近有不少用户反馈自己的win ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwwJwp.html" rel="bookmark" class="title">ios-iOS使用AsycSocket第三方库与服务器连接，怎样接收服务器的推送消息？</a>
					<div>
						问题描述 iOS使用AsycSocket第三方库与服务器连接,怎样接收服务器的推送消息? iOS开发使用AsycSocket第三方库,长链接, 那么为什么收不到服务器的推送消息? 解决方案 应该不是  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YnyZM.html" rel="bookmark" class="title">文件-关于fscanf&lpar;&rpar;格式化输入函数的问题</a>
					<div>
						问题描述 关于fscanf()格式化输入函数的问题 有如下以@|@分割的文本文件,每行以$|$ 结束,用fscanf函数如何格式化输入读取每个@|@之前的数值呢? 用&quot;|&quot;分割的文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAeWGM.html" rel="bookmark" class="title">物联网时代下嵌入式在各个行业的应用</a>
					<div>
						在现在这个物联网快速发展的时代,嵌入式系统是当前最热门的IT应用领域之一.嵌入式系统用在一些特定专用设备上,通常这些设备的硬件资源(如处理器.存储器等)非常有限,并且对成本很敏感,有时对实时响应要求很 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBNV0M.html" rel="bookmark" class="title">mysql-MySql和oracle的区别有哪些？哪个效率更高，是Oracle吗？</a>
					<div>
						问题描述 MySql和oracle的区别有哪些?哪个效率更高,是Oracle吗? MySql和oracle的区别有哪些?哪个效率更高,是Oracle吗?如果是oracle效率更高,那怎么样让Mysql ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDeYVWb.html" rel="bookmark" class="title">java怎么把转换成字符串转换成中国人习惯看的时间。</a>
					<div>
						问题描述 java怎么把转换成字符串转换成中国人习惯看的时间. 如下代码 public class Test{ public static void main(String[] args) throw ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94ngdb.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;宝宝&rdquo;产品已经过时了？</a>
					<div>
						安卓 &quot;宝宝&quot;产品已经过时了? 如果说&quot;宝宝&quot;产品的诞生是基于公募开发互联网的海量潜在客户群,那么,显然公募并不满足于此.如今,双方的合作已经朝着深水区进发,并 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLg8n0M.html" rel="bookmark" class="title">c&plus;&plus;-C&plus;&plus;学生管理系统交不了差我就死定了，大叔大婶行行好</a>
					<div>
						问题描述 C++学生管理系统交不了差我就死定了,大叔大婶行行好 送人玫瑰手有余香,救人一命胜造七级浮屠,C++学生管理系统交不了差我就死定了,大叔大婶行行好 解决方案 http://wenku.bai ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodYajM.html" rel="bookmark" class="title">bootstrap环境搭建，请说明一下环境的搭建</a>
					<div>
						问题描述 bootstrap环境搭建,请说明一下环境的搭建 &lt;!doctype html&gt; 无标题文档 &lt;!复制的&gt; 默认 切换下拉菜单 功能 另一个功能 其他 分离的链接 原 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnxy6M.html" rel="bookmark" class="title">Linux内核存缺陷 66&percnt;安卓设备面临受攻击风险</a>
					<div>
						北京时间1月20日消息,据科技网站Ars Technica报道,过去约3年,数以千万计运行Linux内核的设备一直存在一处权限提升缺陷.预计主要Linux发行商将于本周修复该缺陷,但由于为Androi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/MrqB8Wb.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDA4MjYyMDUxMDA0Njg/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2ZW1odmRYcG9ZVzk0YVc5dVp6RXlNamM9L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvU291dGhFYXN0.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/MrqB8Wb.html" rel="bookmark" class="title">让你提前认识软件开发&lpar;50&rpar;：软件需求</a>
					<div>
						第3部分 软件研发工作总结 软件需求           软件工程师的工作职责是什么?一句话,就是完成软件需求.大家每天都接触到的软件,都是从软件需求一步步进化而来的.那么,软件需求是什么?如何完成需 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5BnZz.html" rel="bookmark" class="title">C&num; 设计模式系列教程-模板方法模式&lowbar;C&num;教程</a>
					<div>
						1. 概述 定义一个操作中的算法的骨架,而将步骤延迟到子类中.模板方法使得子类可以不改变一个算法的结构即可重定义算法的某些特定步骤. 2. 模式中的角色 2.1 抽象类(AbstractClass): ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Nvylb.html" rel="bookmark" class="title">Android发送xml数据给服务器的方法&lowbar;Android</a>
					<div>
						本文实例讲述了Android发送xml数据给服务器的方法.分享给大家供大家参考.具体如下: 一.发送xml数据: public static void main(String[] args) thro ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6e6mM.html" rel="bookmark" class="title">firefox下jquery ajax返回object XMLDocument处理方法&lowbar;jquery</a>
					<div>
						在firefox下使用jquery ajax处理struts2 返回json类型的时候,ajax执行成功返回结果为 [object XMLDocument]. 处理办法:在getWriter.prin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44K6jz.html" rel="bookmark" class="title">微信-在ios设备上，h5点击空白处text失去焦点然后不能输入</a>
					<div>
						问题描述 在ios设备上,h5点击空白处text失去焦点然后不能输入 我在手机微信上打开h5页面,在输入框内输入信息,然后点击到空白处,继续输入信息的时候不能输入. 我怀疑是因为焦点丢失造成的(本人使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6GreYp.html" rel="bookmark" class="title">子报表不能导出</a>
					<div>
						问题描述 在asp.net中实现水晶报表的导出,用代码DiskFileDestinationOptionsDiskOpts=newDiskFileDestinationOptions();Report ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7wQnrz.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;动态流、瀑布流、奖章&rdquo;，三种流行的产品要素</a>
					<div>
						根据我的研究和发现,得出了三种流行的产品要素&quot;动态流.瀑布流.奖章&quot;,而我称之为产品三俗,因为容易流行而被滥用.而PM选择它们有可能是因为&quot;时髦&quot;&quot;标 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk7Qe7p.html" rel="bookmark" class="title">MooTools 页面滚动浮动层智能定位实现代码&lowbar;Mootools</a>
					<div>
						HTML代码: 复制代码 代码如下: &lt;div class=&quot;float&quot; id=&quot;float&quot;&gt; 我是个腼腆羞涩的浮动层... &lt;/div& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Yn0Wb.html" rel="bookmark" class="title">腾讯微博注册帐户5&period;4亿，日均活跃用户超过8700万</a>
					<div>
						摘要: 腾讯微博早在2012年就立下愿景,要成为中国第一的社会化媒体,一年过去了,在2013年又重新制定目标,升级为实现产品和运营形态的双重突破.理想是丰满的,但现实总是骨干的,在 腾讯微博早在201 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.039 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
